MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027638Open CASCADE[OCCT] OCCT:Testspublic2016-06-24 16:282016-12-09 16:38
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027638: Optimisation of testdiff command
DescriptionPreamble:
testdiff command executed during 25-30 minutes.
Images, memory and cup is compared with reference data simultaneously.
It is suggested to add additional option to this command
-images - only images are compared
-memory - only memory are compared
-cpu - only cpu is compared.
It will allow :
1. Launch process of comparison in parallel (decreasing time of execution)
2. Tests are launched in parallel , one per processor core (usually 4). It caused incorrect deviation of CPU time. It is suggested to distinguish cpu comparison in separate process with following restart test cases with critical increasing of cpu time in one stream with re-comparison new result. Thus we could report more objective results of cpu increasing.
Steps To Reproducetestdiff dir1 dir2 -image -cpu -memory
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0055452)
bugmaster (administrator)
2016-06-24 16:29

Dear ABV
What do you think about this idea?
(0055889)
git (administrator)
2016-07-13 18:18

Branch CR27638 has been created by apn.

SHA-1: 09bb5143bf7c0e15fccc44140ad35253caa45eb4


Detailed log of new commits:

Author: apn
Date: Wed Jul 13 18:18:50 2016 +0300

    0027638: Optimisation of testdiff command
    
    Added functionality to compare image, memory and CPU differences separately.
(0055890)
apn (administrator)
2016-07-13 18:24

Additional options (-image, -cpu, -memory) to launch only image, memory or CPU comparison were added. Each option saves result in specified file which can be determined by user (or has default value).
Example:
testdiff dir1 dir2 -image D:/branch/imagediff.log -cpu D:/branch/cpudiff.log -memory D:/branch/memorydiff.log

If there're no any options (testdiff dir1 dir2) log and html files will be saved as usual in one file.
(0055891)
apn (administrator)
2016-07-13 18:25

Dear abv, please review CR27638.
(0055900)
abv (manager)
2016-07-14 07:23

OK, please proceed.

One general remark: in Tcl, instead of comparing logical variable with value "true" or "false", you can simply use this variable as condition. For instance, instead of

if { $memory == false } {...}

you can put

if { ! $memory } {...}

This is easier to comprehend and also will handle other variants of defining logical variable:
true: "true", "t", or any non-zero integer or real
false: "false", "f", or zero
 
(0056107)
git (administrator)
2016-07-22 10:44

Branch CR27638 has been deleted by inv.

SHA-1: 09bb5143bf7c0e15fccc44140ad35253caa45eb4

- Related Changesets
occt: master 28cab376
Timestamp: 2016-07-13 15:18:50
Author: apn
Committer: bugmaster
Details ] Diff ]
0027638: Optimisation of testdiff command

Added functionality to compare image, memory and CPU differences separately.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-24 16:28 bugmaster New Issue
2016-06-24 16:28 bugmaster Assigned To => abv
2016-06-24 16:29 bugmaster Note Added: 0055452
2016-06-24 16:29 bugmaster Status new => feedback
2016-07-12 10:37 bugmaster Assigned To abv => apn
2016-07-13 18:18 git Note Added: 0055889
2016-07-13 18:24 apn Note Added: 0055890
2016-07-13 18:25 apn Note Added: 0055891
2016-07-13 18:27 apn Test case number => Not needed
2016-07-13 18:27 apn Assigned To apn => abv
2016-07-13 18:27 apn Status feedback => resolved
2016-07-13 18:27 apn Steps to Reproduce Updated View Revisions
2016-07-14 07:23 abv Note Added: 0055900
2016-07-14 07:23 abv Assigned To abv => bugmaster
2016-07-14 07:23 abv Status resolved => reviewed
2016-07-14 11:24 bugmaster Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master 28cab376
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-15 10:44 bugmaster Resolution open => fixed
2016-07-22 10:44 git Note Added: 0056107
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker